Uses of Interface
com.eqixiac.equinix.fabric.model.StreamSubscription
Packages that use StreamSubscription
Package
Description
Fabric domain client interfaces for the Equinix Java SDK.
-
Uses of StreamSubscription in com.eqixiac.equinix.fabric.client
Methods in com.eqixiac.equinix.fabric.client that return StreamSubscriptionModifier and TypeMethodDescriptionRetrieves a single stream subscription by its unique identifier.Methods in com.eqixiac.equinix.fabric.client that return types with arguments of type StreamSubscriptionModifier and TypeMethodDescriptionLists all subscriptions for the specified stream.StreamSubscriptions.search(FilterPropertyList filter, SortPropertyList sort) Searches stream subscriptions across streams (POST /fabric/v4/streamSubscriptions/search), for example by/streamUuid,/uuidor/name. -
Uses of StreamSubscription in com.eqixiac.equinix.fabric.client.implementation
Methods in com.eqixiac.equinix.fabric.client.implementation that return StreamSubscriptionModifier and TypeMethodDescriptionMethods in com.eqixiac.equinix.fabric.client.implementation that return types with arguments of type StreamSubscriptionModifier and TypeMethodDescriptionStreamSubscriptionsImpl.search(FilterPropertyList filter, SortPropertyList sort) -
Uses of StreamSubscription in com.eqixiac.equinix.fabric.client.internal.implementation
Subclasses with type arguments of type StreamSubscription in com.eqixiac.equinix.fabric.client.internal.implementationClasses in com.eqixiac.equinix.fabric.client.internal.implementation that implement interfaces with type arguments of type StreamSubscriptionMethods in com.eqixiac.equinix.fabric.client.internal.implementation that return StreamSubscriptionModifier and TypeMethodDescriptionprotected StreamSubscriptionStreamSubscriptionClientImpl.wrap(StreamSubscriptionJson json) -
Uses of StreamSubscription in com.eqixiac.equinix.fabric.model.json.creators
Subclasses with type arguments of type StreamSubscription in com.eqixiac.equinix.fabric.model.json.creatorsMethods in com.eqixiac.equinix.fabric.model.json.creators that return StreamSubscriptionModifier and TypeMethodDescriptionStreamSubscriptionOperator.StreamSubscriptionBuilder.create()StreamSubscriptionOperator.StreamSubscriptionBuilder.save()Applies the accumulated changes to the existing stream subscription (full-bodyPUT) and returns the model refreshed from the server.Constructor parameters in com.eqixiac.equinix.fabric.model.json.creators with type arguments of type StreamSubscriptionModifierConstructorDescriptionStreamSubscriptionOperator(Pageable<StreamSubscription> serviceClient) -
Uses of StreamSubscription in com.eqixiac.equinix.fabric.model.wrappers
Classes in com.eqixiac.equinix.fabric.model.wrappers that implement StreamSubscriptionSubclasses with type arguments of type StreamSubscription in com.eqixiac.equinix.fabric.model.wrappersConstructor parameters in com.eqixiac.equinix.fabric.model.wrappers with type arguments of type StreamSubscriptionModifierConstructorDescriptionStreamSubscriptionWrapper(StreamSubscriptionJson streamSubscriptionJson, Pageable<StreamSubscription> serviceClient)